﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Shapes;
using MindFusion.RealTimeCharting.Wpf;
using System.Windows.Controls;

namespace RealTimeChart_Music
{
	public class MyChart : RealTimeChart
	{
		private Line indicatorLine;
		private PlotArea plotArea;
		private Canvas lineCanvas;

		public override void OnApplyTemplate() { 
			base.OnApplyTemplate();
			indicatorLine = (Line)GetTemplateChild("hereLine");
			plotArea = (PlotArea)GetTemplateChild("plotArea");
			lineCanvas = (Canvas)GetTemplateChild("canvasLine");
		}

		public Line IndicatorLine
		{
			get { return indicatorLine; }
			set { indicatorLine = value; }
		}
		public PlotArea PlotArea
		{
			get { return plotArea; }
			set { plotArea = value; }
		}
		public Canvas LineCanvas
		{
			get { return lineCanvas; }
			set { lineCanvas = value; }
		}
	}
}
